# module ActionView::TestCase::Behavior

### Constants

INTERNAL_IVARS

### Attributes

controller[RW]
output_buffer[RW]
rendered[RW]

### Public Instance Methods

config() click to toggle source

    # File lib/action_view/test_case.rb, line 109
    def config
      @controller.config if @controller.respond_to?(:config)
    end

locals() click to toggle source

    # File lib/action_view/test_case.rb, line 119
    def locals
      @locals ||= {}
    end

render(options = {}, local_assigns = {}, &block) click to toggle source

    # File lib/action_view/test_case.rb, line 113
    def render(options = {}, local_assigns = {}, &block)
      view.assign(view_assigns)
      @rendered << output = view.render(options, local_assigns, &block)
      output
    end

setup_with_controller() click to toggle source

    # File lib/action_view/test_case.rb, line 99
    def setup_with_controller
      @controller = ActionView::TestCase::TestController.new
      @request = @controller.request
      @output_buffer = ActiveSupport::SafeBuffer.new
      @rendered = ''

      make_test_case_available_to_view!
      say_no_to_protect_against_forgery!
    end